Bug 830855

Summary: restarting jbossas from an RPM instalation
Product: [Other] RHQ Project Reporter: Aleksandar Kostadinov <akostadi>
Component: PluginsAssignee: RHQ Project Maintainer <rhq-maint>
Status: NEW --- QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: unspecified    
Version: 4.3CC: hrupp, loleary
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Aleksandar Kostadinov 2012-06-11 10:16:23 EDT
Description of problem:
Jboss AS server has available restart and start operations. The problem is that JON does not start JBoss AS with the init script provided with the RPM installation of JBoss AS. This leads to server not starting the same way like it does on machine boot.

For example if somebody put configuration in /etc/sysconfig/jbossas, it will not be picked up and server may not operate as desired (or at all).

Desired behavior would be to use the init script when available to start/stop JBoss AS.

Comment 1 Charles Crouch 2012-06-18 10:56:49 EDT
If this is a feature enhancement, which it sounds like it could be, this will probably need to get pushed to JON320. However we should investigate whats required in the JON311 timeframe.
Comment 2 Aleksandar Kostadinov 2012-06-18 11:58:14 EDT
Well it depends on how you look at it. If you say that starting jbossas from a RPM installation is not supported, then it is a feature request (although in this case the operations should not be available in the user interface).

But if you claim to support jbossas from an RPM installation then it is a bug that it is not started in the way OS starts it up on boot.

I think that as a quick fix UI should allow user to select a start-up method with two options - traditional and init script. If user chooses init script, then he should have a choice to enter init script name (with jbossas as a default value). This is needed because jbossas init script can be called with a different name and that will make it load a different configuration file.

I understand you fix bugs and add features based on user/customer demand. So I'm leaving up to you what release to target. This bug/feature is not important for me personally. I just think RPM integration is generally important for providing smooth user experience.
Comment 3 Charles Crouch 2012-08-29 12:22:08 EDT
As per 8/20 triage marking as an RFE